View Issue Details

IDProjectCategoryView StatusLast Update
0018061MediaMonkey 5UPnP / DLNApublic2021-08-31 01:30
ReporterLudek Assigned To 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0.2Fixed in Version5.0.1 
Summary0018061: UPnP/DLNA access / Wi-Fi sync does not work in some specific network environments
DescriptionUser from ticket # 1444 re-configured his network interface to use IP adresses like 200.0.1.1 (instead of standard private IP ranges https://en.wikipedia.org/wiki/Private_network )
Thus MM5 thinks that UPnP/DLNA clients (including MMA) are accessing MM5 from a public location and thus serves public IP when serving media files links (instead of private IP mapped to 200.0.1.1 ). More details in the ticket.
TagsNo tags attached.
Fixed in build2500

Relationships

related to 0012823 closedLudek MediaMonkey 4 Tracks are not playable when MMW server is browsed outside of LAN 
related to 0016882 closedLudek MediaMonkey 5 UPnP/DLNA playback may fail with GRE tunnel (LAN devices have public IPs) 

Activities

Ludek

2021-06-23 21:01

developer   ~0064051

Fixed in 5.0.2.2500

Ludek

2021-06-24 10:12

developer   ~0064052

Merged to 5.0.1.2419 as the fix is low risk (and user from ticket [Ticket # 1444] already confirmed the fix).

peke

2021-06-25 22:24

developer   ~0064075

Verified 2419

Set resolved 2500 for testing.

peke

2021-08-31 01:30

developer   ~0064422

Verified 2500

Closing.